package com.ejie.ab61.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelExpInsSinExp  
 *  
 */

public class RelExpInsSinExp  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelExpInsSinExp;
            private Integer idExpediente;
            private Integer idInspeccion;
            private String identificadorInspeccion;
            private String titulo;
            private Integer idTercero;
            private Integer idDireccion;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'RelExpInsSinExp'.
	 */
    public RelExpInsSinExp() {
    }


	
    
    /** 
     * Method 'RelExpInsSinExp'.
     * @param idRelExpInsSinExp Integer
     */    
     public RelExpInsSinExp(Integer idRelExpInsSinExp) {
          this.idRelExpInsSinExp = idRelExpInsSinExp;
	}

    

    /** 
     * Method 'RelExpInsSinExp'.
     * @param idRelExpInsSinExp Integer
     * @param idExpediente Integer
     * @param idInspeccion Integer
     * @param identificadorInspeccion String
     * @param titulo String
     * @param idTercero Integer
     * @param idDireccion Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public RelExpInsSinExp(Integer idRelExpInsSinExp, Integer idExpediente, Integer idInspeccion, String identificadorInspeccion, String titulo, Integer idTercero, Integer idDireccion, Date fechaRegistro, String usuarioRegistro) {	

           this.idRelExpInsSinExp = idRelExpInsSinExp;
           this.idExpediente = idExpediente;
           this.idInspeccion = idInspeccion;
           this.identificadorInspeccion = identificadorInspeccion;
           this.titulo = titulo;
           this.idTercero = idTercero;
           this.idDireccion = idDireccion;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdRelExpInsSinExp'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelExpInsSinExp() {
		return this.idRelExpInsSinExp;
	}

	/**
	 * Method 'setIdRelExpInsSinExp'.
	 *
	 * @param idRelExpInsSinExp Integer
	 * @return
     */
	
	public void setIdRelExpInsSinExp(Integer idRelExpInsSinExp) {
		this.idRelExpInsSinExp = idRelExpInsSinExp;
	}
    /**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente Integer
	 * @return
     */
	
	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}
    /**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'.
	 *
	 * @param idInspeccion Integer
	 * @return
     */
	
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}
    /**
	 * Method 'getIdentificadorInspeccion'.
	 *
	 * @return String
	 */
	
	
	public String getIdentificadorInspeccion() {
		return this.identificadorInspeccion;
	}

	/**
	 * Method 'setIdentificadorInspeccion'.
	 *
	 * @param identificadorInspeccion String
	 * @return
     */
	
	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}
    /**
	 * Method 'getTitulo'.
	 *
	 * @return String
	 */
	
	
	public String getTitulo() {
		return this.titulo;
	}

	/**
	 * Method 'setTitulo'.
	 *
	 * @param titulo String
	 * @return
     */
	
	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}
    /**
	 * Method 'getIdTercero'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdTercero() {
		return this.idTercero;
	}

	/**
	 * Method 'setIdTercero'.
	 *
	 * @param idTercero Integer
	 * @return
     */
	
	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}
    /**
	 * Method 'getIdDireccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDireccion() {
		return this.idDireccion;
	}

	/**
	 * Method 'setIdDireccion'.
	 *
	 * @param idDireccion Integer
	 * @return
     */
	
	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelExpInsSinExp: ").append(this.idRelExpInsSinExp).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");
		result.append(", [ titulo: ").append(this.titulo).append(" ]");
		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");
		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

